<div class="flex">
    <div class="md:w-6/12 w-full md:block hidden">
      <div class="bg bg-img-1"></div>
    </div>
    <div class="md:w-6/12 position-center">
      <div
        class="md:w-10/12 lg:w-8/12 w-11/12 mx-auto mobile-justify-center"
      >
        <h3 class="mt-5 text-center font-semibold primary-color">
          Reset Password
        </h3>
        <p class="mt-2 text-center third-color">Hi Albert !</p>
        <p class="mt-1 text-center third-color">
          Create your new password here
        </p>

        <div>
          <form [formGroup]="resetForm" (ngSubmit)="onSubmit()">
          <div class="flex justify-center mt-5 w-full">
            <div class="w-full input-wrapper" [ngClass]=" submitted && resetForm.controls['newpassword'].invalid ? 'error' : 'success'" >
              <img
                src="../../../../assets/images/password-icon.svg"
                class="w-8 h-6 password-icon"
              />
              <div class="relative z-0 flex-col w-full">
                <input
                  type="password"
                  id="floating_standard"
                  formControlName="newpassword"
                  class="pl-2 block py-2.5 px-0 w-full font-semibold bg-transparent appearance-none 0 focus:outline-none focus:ring-0 focus:border-blue-600 peer"
                  placeholder=" " min="8"
                />
                <label
                  for="floating_standard"
                  class="pl-2 absolute text-gray-500 dark:text-gray-400 duration-300 transform -translate-y-6 scale-75 top-3 -z-10 origin-[0] peer-focus:left-0 peer-placeholder-shown:scale-100 peer-placeholder-shown:translate-y-0 peer-focus:scale-75 peer-focus:-translate-y-6"
                  >New Password</label
                >
              </div>
              <img src="../../../../assets/images/visibility-off.svg" class="w-8 h-6" />
            </div>
          </div>
          <div class="flex justify-center mt-5 w-full">
            <div class="w-full input-wrapper"  [ngClass]=" submitted && resetForm.controls['confirmpassword'].invalid ? 'error' : 'success'" >
              <img
                src="../../../../assets/images/password-icon.svg"
                class="w-8 h-6 password-icon"
              />
              <div class="relative z-0 flex-col w-full">
                <input
                  type="password"
                  id="floating_standard"
                  formControlName="confirmpassword"
                  class="pl-2 block py-2.5 px-0 w-full font-semibold bg-transparent appearance-none 0 focus:outline-none focus:ring-0 focus:border-blue-600 peer"
                  placeholder=" "
                />
                <label
                  for="floating_standard"
                  class="pl-2 absolute text-gray-500 dark:text-gray-400 duration-300 transform -translate-y-6 scale-75 top-3 -z-10 origin-[0] peer-focus:left-0 peer-placeholder-shown:scale-100 peer-placeholder-shown:translate-y-0 peer-focus:scale-75 peer-focus:-translate-y-6"
                  >Confirm Password</label
                >
              </div>
              <img src="../../../../assets/images/visibility-off.svg" class="w-8 h-6" />
            </div>
          </div>

          <div class="third-color flex justify-between w-full mt-2">
            <div class="flex justify-between w-full ">
            <p class="text-sm" [ngClass]=" resetForm.controls['newpassword'].value && validatePassword('smallletter',resetForm.controls['newpassword'].value)   ? 'text-sm text-success' : ''" >A lowercase Letter </p>
            <!-- {{resetForm.controls['newpassword'].errors|json}} -->
            <p class="text-sm" [ngClass]=" resetForm.controls['newpassword'].value && validatePassword('capitalletter',resetForm.controls['newpassword'].value)   ? 'text-sm text-success' : ''">A capital Letter</p>
            <p class="text-sm" [ngClass]=" resetForm.controls['newpassword'].value && validatePassword('number',resetForm.controls['newpassword'].value)   ? 'text-sm text-success' : ''">A Number</p>
            <p class="text-sm" [ngClass]=" resetForm.controls['newpassword'].value && validatePassword('minlength',resetForm.controls['newpassword'].value)   ? 'text-sm text-success' : ''">Minimum 8 characters</p>
          </div>
          </div>

          <button class="mt-7 w-full button button-primary py-4">
            <a class="button-1" type="submit">Reset</a>
          </button>
          <div class="block mt-9">
            <p class="w-full text-center primary-color">
              <a class="primary-color" routerLink="/auth/sign-in">Continue to Sign In</a>
            </p>
          </div>
          <div
            class="mt-7 button button-secondary py-4 text-sm flex items-center justify-center w-fit mx-auto"
          >
            <img src="../../../../assets/images/google-icon.svg" />
            <a class="button-1 ml-2" href="#">Sign in with Google</a>
          </div>
        </form>
        </div>
      </div>
    </div>
  </div>
